<?php

declare(strict_types=1);

namespace UtilityModule\Middleware;

use Psr\Container\ContainerInterface;
use Tuupola\Middleware\CorsMiddleware;

class CorsMiddlewareFactory
{
    public function __invoke(ContainerInterface $container) : CorsMiddleware
    {
        return new CorsMiddleware([
            "headers.allow" => ["Authorization", "If-Match", "If-Unmodified-Since", "Content-type"],
        ]);
    }
}